#include <bits/stdc++.h>
using namespace std;
int p[20005];
int main() {
	freopen("meow.in","w",stdout);
	int n=2,k=3,m=200;
	printf("1 %d %d %d\n",n,m,k);
	for (int i=1; i<=m; i++) p[i]=(i-1)/2%k+1;
	random_shuffle(p+1,p+m+1);
	for (int i=1; i<=m; i++) printf("%d ",p[i]);
	return 0;
}
